default:
  image: ruby:3.1.3

stages:
  - run
  - test

test:
  stage: test
  only:
    - merge_requests
  script:
    - gem install yamllint bundler
#    - bundle install
#    - bundle exec ruby weekly_update/generate.rb --dry-run
    - yamllint config/*.yml


execute:
  stage: run
  only:
    - web
    - schedules
  script:
    - gem install bundler
    - bundle install
    - bundle exec ruby weekly_update/generate.rb
